Package de.willuhn.jameica.hbci.forecast

# Interface ForecastProvider

All Known Implementing Classes:
  `AbstractForecastProvider`, `ForecastProviderAuslandsUeberweisung`, `ForecastProviderSepaDauerauftrag`, `ForecastProviderSepaLastschrift`, `ForecastProviderSepaSammelLastschrift`, `ForecastProviderSepaSammelUeberweisung`, `ForecastProviderUmsatz`

public interface ForecastProvider
Interface fuer einen Provider, der Prognose-Daten fuer kuenftige Zahlungen liefert.

## Method Summary

Modifier and Type
Method
Description
`List<Value>`
`getData(Konto k, Date to)`
Liefert die voraussichtlichen Zahlungen beginnend mit heute und endend mit dem angegeben Datum.
`String`
`getName()`
Liefert einen sprechenden Namen fuer den Provider.
`boolean`
`isDefaultEnabled()`
Liefert true, wenn der Provider per Default aktiv sein soll.

## Method Details

### getName

String getName()
Liefert einen sprechenden Namen fuer den Provider.

Returns:
  sprechender Name.

### getData

List<Value> getData(Konto k, Date to) throws Exception
Liefert die voraussichtlichen Zahlungen beginnend mit heute und endend mit dem angegeben Datum.

Parameters:
  `k` - das Konto. Wenn es fehlt, sollte der Provider die Zahlungen aller Konten liefern.
  `to` - Ende des Zeitraumes (inclusive). Das Datum ist immer angegeben. Die Implementierung muss hier also nicht auf NULL pruefen.
Returns:
  Liste der voraussichtlichen Zahlungen.
Throws:
  `Exception`

### isDefaultEnabled

boolean isDefaultEnabled()
Liefert true, wenn der Provider per Default aktiv sein soll.

Returns:
  true, wenn der Provider per Default aktiv sein soll.